Page MenuHomePhabricator

Cleanup remaining Job::insert() and ::batchInsert() calls in extensions, and remove it from MediaWiki
Closed, ResolvedPublic

Description

Job::insert() was soft deprecated in 1.21, time to finally remove the final usages

Method
    insert
Found usages  (5 usages found)
    Delegate to super method  (1 usage found)
        mediawiki  (1 usage found)
            extensions/ArticleFeedbackv5  (1 usage found)
                ArticleFeedbackv5.mailerJob.php  (1 usage found)
                    ArticleFeedbackv5MailerJob  (1 usage found)
                        insert  (1 usage found)
                            130 return parent::insert();
    Method call  (4 usages found)
        mediawiki  (4 usages found)
            extensions/ArticleFeedbackv5  (1 usage found)
                ArticleFeedbackv5.flagging.php  (1 usage found)
                    ArticleFeedbackv5Flagging  (1 usage found)
                        sendOversightEmail  (1 usage found)
                            965 $job->insert();
            extensions/Contest/api  (1 usage found)
                ApiMailContestants.php  (1 usage found)
                    ApiMailContestants  (1 usage found)
                        createReminderJob  (1 usage found)
                            110 $job->insert();
            extensions/Interlanguage  (1 usage found)
                InterlanguageCentralExtension.php  (1 usage found)
                    InterlanguageCentralExtension  (1 usage found)
                        onLinksUpdate  (1 usage found)
                            64 $job->insert();
            extensions/SemanticPageSeries/includes  (1 usage found)
                SPSSpecialSeriesEdit.php  (1 usage found)
                    SPSSpecialSeriesEdit  (1 usage found)
                        evaluateForm  (1 usage found)
                            228 $job->insert();

Event Timeline

Reedy created this task.Nov 2 2017, 10:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 2 2017, 10:14 PM
Reedy updated the task description. (Show Details)

Change 388259 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/TranslateSvg@master] Use MessageIndexRebuildJob::newJob()->insertIntoJobQueue();

https://gerrit.wikimedia.org/r/388259

Change 388262 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/Translate@master] MessageIndexRebuildJob::insert: Rename to avoid conflict with parent method

https://gerrit.wikimedia.org/r/388262

Eurgh, what a mess. Translate's MessageIndexRebuildJob::insert() is an over-ride that uses the right path – so the four Translate hits and the TranslateSvg one are all false positives (but maybe we should rename for clarity?).

Legoktm updated the task description. (Show Details)Nov 4 2017, 1:32 AM

Change 388262 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] MessageIndexRebuildJob::insert: Rename to avoid conflict with parent method

https://gerrit.wikimedia.org/r/388262

Change 388259 merged by jenkins-bot:
[mediawiki/extensions/TranslateSvg@master] Use MessageIndexRebuildJob::newJob()->insertIntoJobQueue();

https://gerrit.wikimedia.org/r/388259

Change 434174 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/core@master] Job: Remove insert() and batchInsert(), deprecated since 1.21

https://gerrit.wikimedia.org/r/434174

Change 434174 merged by jenkins-bot:
[mediawiki/core@master] Job: Remove insert() and batchInsert(), deprecated since 1.21

https://gerrit.wikimedia.org/r/434174

Jdforrester-WMF renamed this task from Cleanup remaining Job::insert() calls in extensions to Cleanup remaining Job::insert() calls in extensions, and remove it from MediaWiki.May 24 2018, 12:01 AM
Jdforrester-WMF renamed this task from Cleanup remaining Job::insert() calls in extensions, and remove it from MediaWiki to Cleanup remaining Job::insert() and ::batchInsert() calls in extensions, and remove it from MediaWiki.
Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF claimed this task.
Jdforrester-WMF triaged this task as Low priority.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF updated the task description. (Show Details)

Declaring this Resolved as we've fixed the main repos. The maintainers of the ArticleFeedbackv5, Contest, Interlanguage, and SemanticPageSeries extensions are encouraged to update their code so that they are compatible with MediaWiki 1.32+.

Change 495725 had a related patch set uploaded (by Jack Phoenix; owner: Jack Phoenix):
[mediawiki/extensions/ArticleFeedbackv5@master] Job::insert() no longer exists in core, no point in overriding it and/or calling parent::insert() in a subclass...

https://gerrit.wikimedia.org/r/495725

Change 495725 merged by jenkins-bot:
[mediawiki/extensions/ArticleFeedbackv5@master] Job::insert() no longer exists in core, no point in overriding it and/or calling parent::insert() in a subclass...

https://gerrit.wikimedia.org/r/495725